Skip to main content

Iban API

API Backend for epilot Iban feature.

Quick Start​

# List available operations
epilot iban

# Call an operation
epilot iban validateIban

Common Flags​

FlagDescription
-p key=valueSet a named parameter
-d '{...}'Request body JSON
-H 'Key: Value'Custom header
-t, --token <token>Bearer token for authentication
--profile <name>Use a named profile
-s, --server <url>Override server base URL
-i, --includeInclude response headers in output
--jsonOutput raw JSON (no formatting)
-v, --verboseVerbose output (show request details)
--jsonata <expr>JSONata expression to transform response
--definition <file>Override OpenAPI spec file/URL
--guidedPrompt for all parameters interactively
--no-interactiveDisable interactive prompts

Operations​

Ibans

validateIban​

Validate an Iban

POST /v1/public/iban:validate

Request Body (required)

Sample Call

epilot iban validateIban \
-d '{"iban":"string"}'

Using stdin pipe:

cat body.json | epilot iban validateIban

With JSONata filter:

epilot iban validateIban --jsonata '$'